petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecTDotBegin

Starts a split phase transpose dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecTDotBegin(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector Many br
| y | - the second vector Many br
| result | - where the result will go (can be NULL) Many br

Many br

### Notes

Each call to VecTDotBegin() should be paired with a call to VecTDotEnd(). Many br

### See Also

VecTDotEnd(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(),
VecDotBegin(), VecDotEnd(), PetscCommSplitReductionBegin() Many br

Level:advanced
Location:src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages